Description

Hope you are well.

My research focuses on the relationship between arts engagement (Wave 2) and wellbeing (Wave 5) using OLS regression. I

understand that if I am using more than one wave, a longitudinal weight is more appropriate. But using that would lead to a significant

drop in my sample size, therefore I would like to derive my own weight based on the the guidelines stated in "Understanding Society:

Weighting and Sample Representation FAQ 2019". I have prepared the weighting codes and I would be extremely grateful if you

could let me whether the coding is correct:

gen     responseW5=1 if e_hidp!=. & b_hidp!=.

replace  responseW5=0 if e_hidp==. & b_hidp!=.

logit responseW5 eventfqW2_v2 marstatW2 child16W2 ageW2

predict p

gen weightW25 = (1/p)*b_indscus_xw

Thank you.

History

#1 - 06/16/2020 05:50 PM - Alita Nandi

- Status changed from New to In Progress

- Assignee set to Olena Kaminska

- % Done changed from 0 to 10

- Private changed from Yes to No

Hello,

Thank you for your query. We have assigned this issue to our weighting expert who will get back to you.

Best wishes,

Alita

#2 - 06/17/2020 03:49 PM - Olena Kaminska

Karen,

Thank you for your question. A few comments:

1) as a base weight you should use a longitudinal weight b_indscus_lw, not cross-sectional weight;

2) please exclude those who died and left the country in a meantime - they should not be considered as nonrespondents;

3) condition your logit model on non-zero b_indscus_lw;

Hope this helps,

Olena

#3 - 06/17/2020 04:57 PM - Karen  Mak

Dear Olena,

Thank you so much for your prompt response. This is really helpful!

May I ask, for point 3, does it mean fitting the model like this: logit responseW25 b_indscus_lw ?

Best wishes,

Karen
#4 - 06/17/2020 05:04 PM - Karen  Mak

I am sorry - I meant a model like this: logit responseW5 ageW2 if b_indscus_lw>0 & b_indscus_lw!=. ?

Would it matter if I included more W2 predictors in the logit model? Are there any specific W2 predictors that need to be included?

With appreciation,

Karen

#5 - 06/18/2020 10:28 AM - Olena Kaminska

Karen,

Yes, I would recommend more predictors. Choose predictors to be related to both nonresponse and your own model of interest. But I would err on

higher number of predictors if you are uncertain. Note, predictors need to be from wave 2 and should not have any missing values for non-zero

b_indscus_lw.

Hope this helps,

Olena

#6 - 06/18/2020 01:58 PM - Karen  Mak

Thank you so much for your helo Olena! Hugely grateful.

#7 - 06/18/2020 01:58 PM - Karen  Mak

Karen  Mak wrote:

Thank you so much for your help Olena! Hugely grateful.

#8 - 06/20/2020 02:54 AM - Alita Nandi

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

#9 - 10/13/2021 11:37 AM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (Olena Kaminska)

- % Done changed from 90 to 100
